# $Header: /home/hiro/projects/dvr2/RCS/epgdump.mk,v 1.3 2012/07/13 23:01:22 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for EPGDUMP
#
#	Copyright (c) 2011 Hiro Sugawara
#

EPGDUMP-DIR	:= epgdumpr2

#
# epgdumpr2
#
EPGDUMP-CONFIGURE:
EPGDUMP-SWEEP:

EPGDUMP:
	$(MAKE) -C $(EPGDUMP-DIR)	\
		CFLAGS="-I$(LINUX-ROOT)/usr/include -std=c99 -O2 -Wall -g"	\
		LDFLAGS="$(LDFLAGS)"

EPGDUMP-INSTALL:
	install $(EPGDUMP-DIR)/epgdump $(LINUX-INSTALL)/usr/local/bin/

EPGDUMP-CLEAN:
	$(MAKE) -C $(EPGDUMP-DIR) clean


#
# Downloader aliases
#
EPGDUMP-DOWNLOAD:		WGET-EPGDUMP
EPGDUMPUTF8-DOWNLOAD:	WGET-EPGDUMPUTF8
WGET-EPGDUMP:
	wget -O epgdumpr2.tar.gz 'http://www.mda.or.jp/epgrec/index.php?plugin=attach&openfile=epgdumpr2.tar.gz'

WGET-EPGDUMPUTF8:
	wget -O epgdumpr2-utf8.tar.gz 'http://www.mda.or.jp/epgrec/index.php?plugin=attach&openfile=epgdumpr2-utf8.tar.gz'

DIST-FILES	+= $(CWD)/epgdump.mk
